Name:           packETH
Version:        1.7.2
Release:        2%{?dist}
Summary:        A GUI packet generator tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sourceforge.net/projects/packeth/
Source0:        http://downloads.sourceforge.net/project/packeth/packETH-%{version}.tar.bz2
Source1:        packETH.desktop

BuildRequires:  autoconf automake
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel


%description
packETH is a Linux GUI tool that is able to send any packet or sequence of 
packets on the Ethernet. It uses the RAW socket option, so it doesn't care 
about ip, routing, etc. It is designed to have all the options available, 
with all the correct and incorrect values (incorrect means, that user can 
send wrong parameters like: incorrect checksum, wrong header length, etc.).


%prep
%setup -q


%build
# fix build issue
sed -i 's/^LIBS=/LIBS+=/' Makefile.am
autoreconf

# build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Install desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/packeth


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Nikolay Ulyanitsky <lystor AT gmail.com> - 1.7.2-1
- Update to 1.7.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.7-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild


* Fri Oct 15 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.7-1
- Update to 1.7

* Sun Mar 07 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-3
- Fixed the license tag

* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-2
- Fixed the Source URL

* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.5-1
- Update to 1.6.5

* Fri Feb 19 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.4-0.2.dev
- Fix build error on F-13 with absent -lm in LIBS

* Sat Feb 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.6.4-0.1.dev
- Initial package build

